[Rainmeter]
Author=jing
Update=1000
BackgroundMode=1
MouseActionCursor=0
MiddleMouseDownAction=!RainmeterDeactivateConfig

[Metadata]
Name=i3 bar
Config=Computer Stats
Description=Shows time, date, cpu usage, ram usage, harddisk usage, and network usage
Version=1.0.0
License=Creative Commons Attribution-Non-Commercial-Share Alike 3.0

[Variables]
Font=Segoe UI
WhiteColor=162,179,159,255
@include=#SKINSPATH#\i3 bar\Resources\Variables1.txt

[StringStyle]
FontColor=#WhiteColor#
FontFace=#Font#
StringAlign=Center
StringStyle=Normal
AntiAlias=1

::::::::::::::::::::::::::::::
MEASURES
::::::::::::::::::::::::::::::

::::::::::::::::::::::::
DATE AND TIME
::::::::::::::::::::::::

[MeasureDay]
Measure=Time
Format=%A
Substitute="Sunday":"Sun","Monday":"Mon","Tuesday":"Tue","Wednesday":"Wed","Thursday":"Thu","Friday":"Fri","Saturday":"Sat"

[MeasureDate]
Measure=Time
Format=%d

[MeasureMonth]
Measure=Time
Format=%B

[MeasureTime]
Measure=Time
Format=%I:%M

[MeasureTimeampm]
Measure=Time
Format=%p

[MeasureTimeS]
Measure=Time
Format=%S

::::::::::::::::::::::::
CPU AND MEMORY
::::::::::::::::::::::::

[MeasureCPU]
Measure=CPU

[MeasureCPUIdle]
Measure=CPU
InvertMeasure=1

[MeasureCPUMHz]
Measure=Plugin
Plugin=Plugins\PowerPlugin.dll
PowerState=MHZ

[MeasureMem]
Measure=PhysicalMemory

[MeasurePhysMemTotal]
Measure=PhysicalMemory
Total=1

[MeasureMemfree]
Measure=PhysicalMemory
InvertMeasure=1

[MeasureCPUTemp]
Measure=Plugin
Plugin=Plugins\SpeedFanPlugin.dll
SpeedFanType=TEMPERATURE
SpeedFanNumber=4

::::::::::::::::::::::::
HDD
::::::::::::::::::::::::

[MeasureHDD1]
Measure=FreeDiskSpace
Drive="C:"

[MeasureInUseHDD1]
Measure=FreeDiskSpace
InvertMeasure=1
Drive=C:

[MeasureTotalHDD1]
Measure=FreeDiskSpace
Drive="C:"
Total=1

[MeasureDriveAccess]
Measure=Plugin
Plugin=Plugins\PerfMon.dll
PerfMonObject=LogicalDisk
PerfMonCounter="Disk Bytes/sec"
PerfMonInstance="C:"

[MeasureHDD2]
Measure=FreeDiskSpace
Drive="G:"

[MeasureInUseHDD2]
Measure=FreeDiskSpace
InvertMeasure=1
Drive=G:

[MeasureHDD3]
Measure=FreeDiskSpace
Drive="#ThirdDrive#:"

::::::::::::::::::::::::
NET IN AND OUT
::::::::::::::::::::::::

[MeasureNetIn]
Measure=NetIn

[MeasureNetInC]
Measure=NetIn
Cumulative=1

[CalcNetIn]
Measure=Calc
Formula=MeasureNetIn/#InternetSpeedIn#

[MeasureNetOut]
Measure=NetOut

[MeasureNetOutC]
Measure=NetOut
Cumulative=1

[CalcNetOut]
Measure=Calc
Formula=MeasureNetOut/#InternetSpeedOut#
;::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

::::::::::::::::::::::::::::::
METER
::::::::::::::::::::::::::::::

[MeterBackground]
Meter=Image
W=896
H=119
X=0
Y=0
ImageName=background.png


::::::::::::::::::::::::
DATE AND TIME
::::::::::::::::::::::::

[MeterAnalogSeconds]
Meter=ROUNDLINE
MeasureName=MeasureTimeS
X=445
Y=110
LineLength=85
LineStart=69
StartAngle=3.14
RotationAngle=3.14
ValueReminder=60
AntiAlias=1
LineColor=162,179,159,255
Solid=1

[MeterHalfCircle1]
Meter=Image
W=190
H=95
X=351
Y=16
ImageName=halfcircle1.png

[MeterTime]
MeasureName=MeasureTime
Meter=STRING
X=446
Y=56
FontSize=24
MeterStyle=StringStyle

[MeterTimeOverlay]
Meter=Image
W=100
H=18
X=394
Y=71
ImageName=overlay\overlay1-1.png

[MeterAMPM]
MeasureName=MeasureTimeampm
Meter=STRING
X=446
Y=50
FontSize=8
MeterStyle=StringStyle

[MeterAMPMOverlay]
Meter=Image
W=32
H=8
X=429
Y=53
ImageName=overlay\overlay1-2.png

[MeterDate]
Meter=STRING
MeasureName=MeasureMonth
MeasureName2=MeasureDate
X=434
Y=92
FontSize=11
StringAlign=Left
MeterStyle=StringStyle
Text="%1, %2"

[MeterDay]
Meter=STRING
MeasureName=MeasureDay
X=380
Y=92
FontSize=11
StringAlign=Left
MeterStyle=StringStyle

[MeterDateDayOverlay]
Meter=Image
W=152
H=7
X=370
Y=100
ImageName=overlay\overlay2-1.png



::::::::::::::::::::::::
CPU AND RAM
::::::::::::::::::::::::

[MeterAnalogCPU]
Meter=ROUNDLINE
MeasureName=MeasureCPU
X=0
Y=59
LineLength=49
LineStart=40
StartAngle=4.71
RotationAngle=3.14
AntiAlias=1
LineColor=162,179,159,255
Solid=1

[MeterHalfCircle2]
Meter=Image
W=57
H=112
X=0
Y=4
ImageName=halfcircle2.png

[MeterCpuIdle]
Meter=STRING
MeasureName=MeasureCPUIdle
X=4
Y=46
FontSize=10
StringAlign=Left
MeterStyle=StringStyle
Postfix="%"

[MeterOverlayCpuIdle]
Meter=Image
W=34
H=7
X=0
Y=52
ImageName=overlay\overlay1-2.png

[MeterLabelCpuIdle]
Meter=STRING
X=5
Y=60
FontSize=8
StringAlign=Left
MeterStyle=StringStyle
Text="IDLE"

[MeterOverlayLabelCpuIdle]
Meter=Image
W=34
H=7
X=0
Y=64
ImageName=overlay\overlay1-2.png

[MeterLabelCpu]
Meter=STRING
X=53
Y=42
FontSize=17
StringAlign=Left
MeterStyle=StringStyle
Text="CPU"

[MeterOverlayLabelCpu]
Meter=Image
W=50
H=10
X=52
Y=53
ImageName=overlay\overlay1-1.png

[MeterCPUSpeed]
Meter=STRING
MeasureName=MeasureCPUMHz
X=80
Y=66
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
PostFix="MHz"

[MeterOverlayCPUSpeed]
Meter=Image
W=75
H=7
X=43
Y=72
ImageName=overlay\overlay1-2.png

[MeterAnalogRAM]
Meter=ROUNDLINE
MeasureName=MeasureMem
X=895
Y=59
LineLength=49
LineStart=40
StartAngle=4.71
RotationAngle=-3.14
AntiAlias=1
LineColor=162,179,159,255
Solid=1

[MeterHalfCircle3]
Meter=Image
W=57
H=112
X=839
Y=4
ImageName=halfcircle3.png

[MeterFreeRAM]
MeasureName=MeasureMemfree
Meter=STRING
X=879
Y=46
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
AutoScale=1
Percentual=1
PostFix="%"

[MeterOverlayFreeRAM]
Meter=Image
W=34
H=7
X=861
Y=52
ImageName=overlay\overlay1-2.png

[MeterLabelRAMIdle]
Meter=STRING
X=891
Y=60
FontSize=8
StringAlign=Right
MeterStyle=StringStyle
Text="IDLE"

[MeterOverlayLabelRAMIdle]
Meter=Image
W=34
H=7
X=861
Y=64
ImageName=overlay\overlay1-2.png

[MeterRAM]
Meter=STRING
MeasureName=MeasurePhysMemTotal
X=816
Y=66
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
Text="%1B"
AutoScale=1

[MeterOverlayRAM]
Meter=Image
W=54
H=7
X=788
Y=72
ImageName=overlay\overlay1-2.png

[MeterRAMLabel]
Meter=STRING
X=787
Y=42
FontSize=17
StringAlign=Left
MeterStyle=StringStyle
Text="RAM"

[MeterOverlayRAMLabel]
Meter=Image
W=58
H=10
X=786
Y=53
ImageName=overlay\overlay1-1.png

::::::::::::::::::::::::
HARDDISK
::::::::::::::::::::::::

[MeterBitmapHDD1]
MeasureName=MeasureInUseHDD1
Meter=Bitmap
X=128
Y=62
BitmapImage=anim.png
BitmapFrames=11
BitmapZeroFrame=1

[MeterHDD1InUse]
Meter=STRING
MeasureName=MeasureInUseHDD1
X=168
Y=22
FontSize=14
StringAlign=Center
MeterStyle=StringStyle
Postfix="%"
Percentual=1
Autoscale=1

[MeterHDD1InUse1]
Meter=STRING
MeasureName=MeasureInUseHDD1
X=168
Y=44
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
Autoscale=1
Postfix="B"

[MeterLabelHDD1]
Meter=STRING
X=168
Y=94
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
Text="DRIVE C:"

[MeterBitmapHDD2]
MeasureName=MeasureInUseHDD2
Meter=Bitmap
X=240
Y=62
BitmapImage=anim.png
BitmapFrames=11
BitmapZeroFrame=1

[MeterHDD2InUse]
Meter=STRING
MeasureName=MeasureInUseHDD2
X=280
Y=22
FontSize=14
StringAlign=Center
MeterStyle=StringStyle
Postfix="%"
Percentual=1
Autoscale=1

[MeterHDD2InUse1]
Meter=STRING
MeasureName=MeasureInUseHDD2
X=r
Y=44
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
Autoscale=1
Postfix="B"

[MeterLabelHDD2]
Meter=STRING
X=280
Y=94
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
Text="DRIVE D:"

[MeterOverlayHDDRow1]
Meter=Image
W=200
H=10
X=120
Y=29
ImageName=overlay\overlay1-1.png

[MeterOverlayHDDRow2]
Meter=Image
W=250
H=10
X=100
Y=49
ImageName=overlay\overlay1-2.png

[MeterOverlayHDDRow3]
Meter=Image
W=210
H=8
X=120
Y=100
ImageName=overlay\overlay2-1.png

::::::::::::::::::::::::
NET IN & NET OUT
::::::::::::::::::::::::

[MeterNetIn]
Meter=Bitmap
MeasureName=CalcNetIn
X=568
Y=62
BitmapImage=anim.png
BitmapFrames=11
BitmapZeroFrame=1

[MeterNetIn1]
Meter=STRING
MeasureName=MeasureNetIn
X=608
Y=22
FontSize=14
StringAlign=Center
MeterStyle=StringStyle
Autoscale=1
Text="%1B/s"

[MeterCumulativeNetIn]
Meter=STRING
MeasureName=MeasureNetInC
X=r
Y=44
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
Autoscale=1
Postfix="B"

[MeterLabelNetIn]
Meter=STRING
X=609
Y=94
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
Text="DOWNLOAD"

[MeterNetOut]
Meter=Bitmap
MeasureName=CalcNetOut
X=681
Y=62
BitmapFrames=11
BitmapImage=anim.png
BitmapZeroFrame=1

[MeterNetOut1]
Meter=STRING
MeasureName=MeasureNetOut
X=721
Y=22
FontSize=14
StringAlign=Center
MeterStyle=StringStyle
Autoscale=1
Text="%1B/s"

[MeterCumulativeNetOut]
Meter=STRING
MeasureName=MeasureNetOutC
X=r
Y=44
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
Autoscale=1
Postfix="B"

[MeterLabelNetOut]
Meter=STRING
X=r
Y=94
FontSize=10
StringAlign=Center
MeterStyle=StringStyle
Text="UPLOAD"

[MeterOverlayNetRow1]
Meter=Image
W=260
H=10
X=535
Y=29
ImageName=overlay\overlay1-1.png

[MeterOverlayNetRow2]
Meter=Image
W=250
H=10
X=540
Y=49
ImageName=overlay\overlay1-2.png

[MeterOverlayNetRow3]
Meter=Image
W=230
H=8
X=542
Y=100
ImageName=overlay\overlay2-1.png